build:
  only:
    - master
  image:
    name: alpine/helm
    entrypoint: ["/bin/sh", "-c"]
  stage: build
  script:
    # pushing charts is experimental
    - export HELM_EXPERIMENTAL_OCI=1
    # login to registry
    - helm registry login -u ${CI_REGISTRY_USER} --password ${CI_REGISTRY_PASSWORD} https://registry.gitlab.com 

    # save and push charts
    - cd helm
    - helm chart save reframe-blog ${CI_REGISTRY}/${CI_PROJECT_PATH}/reframe-blog:latest
    - helm chart push ${CI_REGISTRY}/${CI_PROJECT_PATH}/reframe-blog:latest

    - helm chart save golang-blog ${CI_REGISTRY}/${CI_PROJECT_PATH}/golang-blog:latest
    - helm chart push ${CI_REGISTRY}/${CI_PROJECT_PATH}/golang-blog:latest
